Subject: Re: bug#77513: Align "Search Alert" and "Projects" in navbar

From: Arun Isaac <[email-masked]>
Date: Sun, 06 Apr 2025 00:35:53 +0100

Hi Luis,

> Inspecting the elements inside the navbar with the web browser tools, my 
> conclusion is that the reason for the misalignment is that all DETAILS 
> elements are given a top margin (see mumi.css, line 2703), which pushes 
> the Projects dropdown down in this case. You can see that removing that 
> margin solves the problem. But probably the right thing to do in this 
> case would be to override that margin for the DETAILS element used in 
> the Projects menu alone.

Yep, this works! I'll remove the margin for that details element alone.

However, this feels like a picocss bug. Perhaps, in the long term,
upgrading to picocss v2 might help address this. See
https://issues.guix.gnu.org/77565

Thanks,
Arun